commit e79105ad8c07e7622dd0c9203f31f0718c7c7bcf
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Sun Nov 10 10:46:39 2024 +0100

    testsuite: arm: Check for short circuit instructions [PR103298]
    
    Instead of checking that a certain transformation is not used by
    counting the number of return instructions and the number of BEQ
    instructions, check that none of CMP, MOV, ORR and AND instructions are
    suffixed with EQ or NE.
    Also removed size check as it's very unstable (depends on optimization
    in use).
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/103298
            * gcc.target/arm/pr43920-2.c: Change to assembler pattern
            "(cmp|mov|orr|and)(eq|ne)" for the check. Remove size check.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 9e1063ca1c854b13950597fd4a14aff4f15ed822)

diff --git a/gcc/testsuite/gcc.target/arm/pr43920-2.c b/gcc/testsuite/gcc.target/arm/pr43920-2.c
index c367d6bc15d..7bde9daea04 100644
--- a/gcc/testsuite/gcc.target/arm/pr43920-2.c
+++ b/gcc/testsuite/gcc.target/arm/pr43920-2.c
@@ -27,6 +27,4 @@ int getFileStartAndLength (int fd, int *start_, size_t *length_)
       return 0;
 }
 
-/* { dg-final { scan-assembler-times "pop" 2 } } */
-/* { dg-final { scan-assembler-times "beq" 3 } } */
-/* { dg-final { object-size text <= 54 { target { ! arm*-*-uclinuxfdpiceabi } } } } */
+/* { dg-final { scan-assembler-not "\t(cmp|mov|orr|and)(eq|ne)\t" } } */

